For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resolution

Resolutions

Resolution Search

get

Search Resolutions this user has access to

Query parameters
resolutionIdintegerOptional

Filter by Resolution Id

resolutionstringOptional

Filter by Resolution Name

useRegexForNameintegerOptional

Flag (0,1). When filtering by multiple resolutions in resolution filter, should we use regex?

logicalOperatorNamestringOptional

When filtering by multiple resolutions in resolution filter, which logical operator should be used? AND|OR

enabledintegerOptional

Filter by Enabled

widthintegerOptional

Filter by Resolution width

heightintegerOptional

Filter by Resolution height

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/resolution
GET /api/resolution HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "resolutionId": 1,
    "resolution": "text",
    "width": 1,
    "height": 1,
    "designerWidth": 1,
    "designerHeight": 1,
    "version": 1,
    "enabled": 1,
    "userId": 1
  }
]

Add Resolution

post

Add new Resolution

Body
resolutionstringRequired

A name for the Resolution

widthintegerRequired

The Display Width of the Resolution

heightintegerRequired

The Display Height of the Resolution

Responses
201

successful operation

application/json
post/resolution
POST /api/resolution HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 42

"resolution='text'&width=1&height=1"
201

successful operation

{
  "resolutionId": 1,
  "resolution": "text",
  "width": 1,
  "height": 1,
  "designerWidth": 1,
  "designerHeight": 1,
  "version": 1,
  "enabled": 1,
  "userId": 1
}

Resolution Search by ID

get

Get the Resolution object specified by the provided resolutionId

Path parameters
resolutionIdintegerRequired

Numeric ID of the Resolution to get

Responses
200

successful operation

application/json

Class Resolution

resolutionIdintegerOptional

The ID of this Resolution

resolutionstringOptional

The resolution name

widthnumber · doubleOptional

The display width of the resolution

heightnumber · doubleOptional

The display height of the resolution

designerWidthnumber · doubleOptional

The designer width of the resolution

designerHeightnumber · doubleOptional

The designer height of the resolution

versionintegerOptional

The layout schema version

enabledintegerOptional

A flag indicating whether this resolution is enabled or not

userIdintegerOptional

The userId who owns this Resolution

get/resolution/{resolutionId}
GET /api/resolution/{resolutionId} HTTP/1.1
Accept: */*
200

successful operation

{
  "resolutionId": 1,
  "resolution": "text",
  "width": 1,
  "height": 1,
  "designerWidth": 1,
  "designerHeight": 1,
  "version": 1,
  "enabled": 1,
  "userId": 1
}

Edit Resolution

put

Edit new Resolution

Path parameters
resolutionIdintegerRequired

The Resolution ID to Edit

Body
resolutionstringRequired

A name for the Resolution

widthintegerRequired

The Display Width of the Resolution

heightintegerRequired

The Display Height of the Resolution

Responses
200

successful operation

application/json

Class Resolution

resolutionIdintegerOptional

The ID of this Resolution

resolutionstringOptional

The resolution name

widthnumber · doubleOptional

The display width of the resolution

heightnumber · doubleOptional

The display height of the resolution

designerWidthnumber · doubleOptional

The designer width of the resolution

designerHeightnumber · doubleOptional

The designer height of the resolution

versionintegerOptional

The layout schema version

enabledintegerOptional

A flag indicating whether this resolution is enabled or not

userIdintegerOptional

The userId who owns this Resolution

put/resolution/{resolutionId}
PUT /api/resolution/{resolutionId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 42

"resolution='text'&width=1&height=1"
200

successful operation

{
  "resolutionId": 1,
  "resolution": "text",
  "width": 1,
  "height": 1,
  "designerWidth": 1,
  "designerHeight": 1,
  "version": 1,
  "enabled": 1,
  "userId": 1
}

Delete Resolution

delete

Delete Resolution

Path parameters
resolutionIdintegerRequired

The Resolution ID to Delete

Responses
204

successful operation

No content

delete/resolution/{resolutionId}
DELETE /api/resolution/{resolutionId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?